Bug 131113 - eog will not display jpg or png images
eog will not display jpg or png images
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
Blocks: FC3Target
  Show dependency treegraph
Reported: 2004-08-27 13:40 EDT by James Laska
Modified: 2013-09-02 01:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-27 08:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
eog.strace (653.04 KB, text/plain)
2004-08-27 13:41 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2004-08-27 13:40:36 EDT
# RPM eog-2.7.1-1

Is eog supposed to work?  I would gather yes, but I mean are there
things in a high state of flux that might affect opening images in
eog.  This has been broken for ~ 2 weeks now.  I typically give this
stuff time to adjust since it is rawhide and severe issues are usually
resolved in a day or so (missing/downlevel packages).

eog will not open/display a screenshot (taken with the screenshot
applet), or a jpg, or any icons in /usr/share/pixmaps.  While the open
file dialog properly shows the image preview... eog simply reports:

$ eog /usr/share/pixmaps/gnome-panel.png
EogWindow.c: eog_window_open single uri
EogWindow: Image list prepared: 0 images

and displays an empty window.  I am attaching the strace results from
launching eog.  Nothing jumps out at me as obvious so perhaps there is
some library interaction/api that has changed?
Comment 1 James Laska 2004-08-27 13:41:04 EDT
Created attachment 103174 [details]
Comment 2 Christopher Aillon 2004-08-27 13:55:16 EDT
Hmm.  That is odd.  eog-2.7.1-1 has been working fine for me on
rawhide over the past few weeks... I'm curious to know what versions
of libexif, libjpeg, and gdk-pixbuf?  If you compile eog from upstream
yourself, does that work?
Comment 3 James Laska 2004-08-27 14:22:43 EDT
I up2date daily from rawhide...this currently leaves me with..


pulling eog from cvs.gnome.org ... will post back results...

Is there a possibility that there are some stale config settings
floating around from previous package versions?
Comment 4 James Laska 2004-08-27 14:41:21 EDT
same thing from eog out of CVS

(eog:15308): Eog-CRITICAL **: file eog-image-list.c: line 671
(eog_image_list_length): assertion `EOG_IS_IMAGE_LIST (list)' failed
EogWindow.c: eog_window_open single uri
EogWindow: Image list prepared: 0 images

Comment 5 Bryan W Clark 2004-09-14 03:15:10 EDT
James, any change after updating more?  EOG seems to work fine for me,
same versions of all relevant packages.
Comment 6 James Laska 2004-09-14 07:46:10 EDT
bclark: No change :(  I re-installed my entire machine to
rawhide-latest 2 weeks ago (and have been yum updated since) and I am
still seeing the problem.  I have the same rpm versions this bug
originally was filed with:


I should note that I no longer get the Assertion failure when
attempting to open an image.

(~)> file Desktop/Documents/Images/aal.jpg
Desktop/Documents/Images/aal.jpg: JPEG image data, EXIF standard 2.2

(~)> eog Desktop/Documents/Images/aal.jpg
EogWindow.c: eog_window_open single uri
EogWindow: Image list prepared: 0 images

Is there any information I can provide to help debug this issue?
Comment 7 Michael Schwendt 2004-09-26 09:57:11 EDT
Cannot reproduce. Same versions of packages (FC 2.91). Can open JPEG
and  PNG images.
Comment 8 James Laska 2004-09-27 08:51:38 EDT
A fresh install of FC3 test2 has resolved this issue.  I gather there
was a gconf or other setting floating around from an upgrade path that
wasn't properly reset.  Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.